import request from '@/config/axios'

export interface MpkIconVO {
  id: string
  iconName: string
  iconDesc: string
  sort: number
}

export interface MpkIconPageReqVO extends PageParam {
  iconName?: string
}

// 查询分页列表
export const getPage = (params: MpkIconPageReqVO) => {
  return request.get({ url: '/model/mpk/icon/page', params })
}

// 查询列表
export const getList = () => {
  return request.get({ url: '/model/mpk/icon/list' })
}

// 获得
export const getIcon = (id: number) => {
  return request.get({ url: '/model/mpk/icon/get?id=' + id })
}

// 新增
export const createIcon = (data: MpkIconVO) => {
  return request.post({ url: '/model/mpk/icon/create', data })
}

// 修改
export const updateIcon = (data: MpkIconVO) => {
  return request.put({ url: '/model/mpk/icon/update', data })
}

// 删除
export const deleteIcon = (id: string) => {
  return request.delete({ url: '/model/mpk/icon/delete?id=' + id })
}
